Overview | Modules | Class Hierarchy | Classes | Members

# tlp::RenderingParametersDialog Class Reference

`#include <RenderingParametersDialog.h>`

Collaboration diagram for tlp::RenderingParametersDialog:

[legend]
List of all members.

## Public Slots

- void updateView ()
- void backColor ()
- void selectionColor ()
- void selectionSaveAtDefaultColor ()
- void setButtonColor (QColor tmp, QPushButton *button)

## Signals

- void viewNeedDraw ()

## Public Member Functions

- RenderingParametersDialog (QWidget *parent=0)
- void setGlMainView (GlMainView *view)

## Constructor & Destructor Documentation

tlp::RenderingParametersDialog::RenderingParametersDialog | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

void tlp::RenderingParametersDialog::backColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::selectionColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::selectionSaveAtDefaultColor | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::setButtonColor | ( | QColor | tmp,
|  | QPushButton * | button
| ) | `[slot]`

void tlp::RenderingParametersDialog::setGlMainView | ( | GlMainView * | view | ) |

void tlp::RenderingParametersDialog::updateView | ( |  | ) | `[slot]`

void tlp::RenderingParametersDialog::viewNeedDraw | ( |  | ) | `[signal]`

Tulip Software by LaBRI Visualization Team 2001 - 2010